#
# SPEC file for libMilterPHP
#
# Noumenia (C) 2019 www.noumenia.gr
#
# License: GPLv3
# https://opensource.org/license/gpl-3-0/
#

%global gitlab_owner     noumenia
%global gitlab_name      libMilterPHP
%global gitlab_version   2.2
%global gitlab_commit    c09824b9b154b3866fbd8f90256b3d3a0cad5f74

%global composer_vendor  noumenia
%global composer_project libmilterphp

# "php": ">=8.0.0"
%global php_min_ver 8.0.0

%{!?phpdir:      %global phpdir      %{_datadir}/php}
%{!?licensedir:  %global licensedir  %{_datadir}/licenses}


Name:           %{gitlab_name}
Version:        %{gitlab_version}
Release:        1%{?dist}
Summary:        libMilterPHP is a Postfix/Sendmail Milter library implementation in PHP

License:        GPLv3
URL:            https://gitlab.com/noumenia/libmilterphp
Source0:        %{name}-%{gitlab_version}-%{gitlab_commit}.tar.gz

BuildArch:      noarch
BuildRequires:  php-iconv
BuildRequires:  php-posix
BuildRequires:  php-sockets

## composer.json
Requires:      php(language) >= %{php_min_ver}
Requires:      php-iconv
Requires:      php-posix
Requires:      php-sockets

## Composer
Provides:      php-composer(%{composer_vendor}/%{composer_project}) = %{version}


%description
- High-performance multi-process
- Low memory footprint
- Strict coding standards
- Support for all milter protocol version 2 commands
- Listen on IP address/port or UNIX sockets
- Support for signals
- Proper memory-resident daemon

Autoloader: %{phpdir}/libMilterPHP/controller/common.inc.php


%prep
%setup -qn %{gitlab_name}-%{gitlab_commit}


%install
mkdir -p %{buildroot}%{phpdir}/%{name}/
cp -rp controller %{buildroot}%{phpdir}/%{name}/
cp -rp interface %{buildroot}%{phpdir}/%{name}/
cp -rp library %{buildroot}%{phpdir}/%{name}/
mkdir -p %{buildroot}%{_docdir}/%{name}/
cp -rp CHANGELOG.md %{buildroot}%{_docdir}/%{name}/
cp -rp composer.json %{buildroot}%{_docdir}/%{name}/
cp -rp README.md %{buildroot}%{_docdir}/%{name}/
mkdir -p %{buildroot}%{licensedir}/%{name}/
cp -rp LICENSE %{buildroot}%{licensedir}/%{name}/


%files
%license LICENSE
%doc CHANGELOG.md README.md composer.json
%{phpdir}/libMilterPHP


%changelog
* Mon Sep 18 2023 Maria Ksanthi <mksanthi@noumenia.gr> - 1.1-1
- Initial package